RDKit: RDKit::EvenSamplePairsStrategy Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
RDKit::EvenSamplePairsStrategy Class Reference

EvenSamplePairsStrategy. More...

`#include <EvenSamplePairs.h>`

Inheritance diagram for RDKit::EvenSamplePairsStrategy:

## Public Member Functions
| EvenSamplePairsStrategy ()
| EvenSamplePairsStrategy (const EvenSamplePairsStrategy &rhs)
virtual const char * | type () const
virtual void | initializeStrategy (const ChemicalReaction &, const EnumerationTypes::BBS &)
virtual const EnumerationTypes::RGROUPS & | next ()
| The current permutation {r1, r2, ...}. More...
virtual boost::uint64_t | getPermutationIdx () const
| Returns how many permutations have been processed by this strategy. More...
virtual | operator bool () const
EnumerationStrategyBase * | copy () const
| copy the enumeration strategy complete with current state More...
std::string | stats () const
Public Member Functions inherited from RDKit::EnumerationStrategyBase
| EnumerationStrategyBase ()
virtual | ~EnumerationStrategyBase ()
void | initialize (const ChemicalReaction &reaction, const EnumerationTypes::BBS &building_blocks)
const EnumerationTypes::RGROUPS & | getPosition () const
| The current position in the enumeration. More...
boost::uint64_t | getNumPermutations () const
bool | skip (boost::uint64_t skipCount)

## Friends
class | boost::serialization::access

## Additional Inherited Members
Static Public Attributes inherited from RDKit::EnumerationStrategyBase
static const boost::uint64_t | EnumerationOverflow
Protected Member Functions inherited from RDKit::EnumerationStrategyBase
void | internalInitialize (const EnumerationTypes::RGROUPS &rgroups)
Protected Attributes inherited from RDKit::EnumerationStrategyBase
EnumerationTypes::RGROUPS | m_permutation
EnumerationTypes::RGROUPS | m_permutationSizes
boost::uint64_t | m_numPermutations

## Detailed Description

EvenSamplePairsStrategy.

Randomly sample Pairs evenly from a collection of building blocks This is a good strategy for choosing a relatively small selection of building blocks from a larger set. As the amount of work needed to retrieve the next evenly sample building block grows with the number of samples, this method performs progressively worse as the number of samples gets larger.

See EnumeartionStrategyBase for more details.

Definition at line 54 of file EvenSamplePairs.h.

## Constructor & Destructor Documentation

RDKit::EvenSamplePairsStrategy::EvenSamplePairsStrategy | ( |  | ) |
| inline

Definition at line 70 of file EvenSamplePairs.h.

Referenced by copy().

RDKit::EvenSamplePairsStrategy::EvenSamplePairsStrategy | ( | const EvenSamplePairsStrategy & | rhs | ) |
| inline

Definition at line 89 of file EvenSamplePairs.h.

## Member Function Documentation

EnumerationStrategyBase* RDKit::EvenSamplePairsStrategy::copy | ( |  | ) | const
| inlinevirtual

copy the enumeration strategy complete with current state

Implements RDKit::EnumerationStrategyBase.

Definition at line 143 of file EvenSamplePairs.h.

References EvenSamplePairsStrategy(), and stats().

virtual boost::uint64_t RDKit::EvenSamplePairsStrategy::getPermutationIdx | ( |  | ) | const
| inlinevirtual

Returns how many permutations have been processed by this strategy.

Implements RDKit::EnumerationStrategyBase.

Definition at line 137 of file EvenSamplePairs.h.

virtual void RDKit::EvenSamplePairsStrategy::initializeStrategy | ( | const ChemicalReaction & | ,
|  | const EnumerationTypes::BBS & |
| ) |  |
| virtual

Implements RDKit::EnumerationStrategyBase.

Referenced by type().

virtual const EnumerationTypes::RGROUPS& RDKit::EvenSamplePairsStrategy::next | ( |  | ) |
| virtual

The current permutation {r1, r2, ...}.

Implements RDKit::EnumerationStrategyBase.

Referenced by type().

virtual RDKit::EvenSamplePairsStrategy::operator bool | ( |  | ) | const
| inlinevirtual

returns true if there are more permutations left random enumerators may always return true...

Implements RDKit::EnumerationStrategyBase.

Definition at line 141 of file EvenSamplePairs.h.

std::string RDKit::EvenSamplePairsStrategy::stats | ( |  | ) | const

Referenced by copy().

virtual const char* RDKit::EvenSamplePairsStrategy::type | ( |  | ) | const
| inlinevirtual

Reimplemented from RDKit::EnumerationStrategyBase.

Definition at line 108 of file EvenSamplePairs.h.

References RDKit::EnumerationStrategyBase::initialize(), initializeStrategy(), and next().

## Friends And Related Function Documentation

friend class boost::serialization::access
| friend

Definition at line 150 of file EvenSamplePairs.h.

The documentation for this class was generated from the following file:

- EvenSamplePairs.h